Skip to content
GAMPEONCreate
New project

Search the marketplace

GET
/v1/resources
curl --request GET \
--url 'https://api.gampeon.com/v1/resources?kind=script&sort=new&limit=24&offset=0'

Only items with at least one version that is not blocked. facets.kinds counts per kind without the kind filter; facets.tags lists the most used tags within the kind.

q
string

Search in name, title and description

kind
string
Allowed values: script vehicle map prop clothing gamemode tool

Filter by kind

tag
string

Filter by tag

owner
string

Filter by owner handle

sort
string
Allowed values: new created downloads name

Default: recently updated

limit
integer
default: 24 >= 1 <= 100

Page size, 1 to 100 (default 24)

offset
integer
0

Number of entries to skip

Results

Media typeapplication/json
object
resources
required
Array<object>
object
name
required

Unique resource name

string
/^[a-z0-9][a-z0-9_\-]{1,47}$/
title
required
string
description
required
string
kind
required
string
Allowed values: script vehicle map prop clothing gamemode tool
tags
required
Array<string>
owner
required
object
handle
required

Unique handle

string
/^[a-z0-9_]{3,24}$/
displayName
required
string
avatar
One of:

Image path relative to the API (/v1/media/…). null without an image.

string
latestVersion
required
One of:

Newest version that is not blocked

string
image
required
One of:

Path of the preview image, relative to the API, for example /v1/images/<sha256>.webp

string
downloads
required

Downloads of all versions

integer
price
required

Price in GAMPEONS, 0 = free

integer
createdAt
required

Unix time in milliseconds

integer format: int64
updatedAt
required

Unix time in milliseconds

integer format: int64
total
required
integer
kinds
required
Array<string>
facets
required
object
kinds
required
object
key
additional properties
integer
tags
required
Array<object>
object
tag
required
string
n
required
integer

Example

{
"resources": [
{
"kind": "script"
}
]
}

Report a problem with this pageOther ways to give feedback